SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
- role: spec-refinement
  spec-key: build-type
  spec-value: bsp
  uid: build
spec-description: null
spec-example: |
  SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
  arch: myarch
  bsp: mybsp
  build-type: bsp
  cflags: []
  copyrights:
  - Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
  cppflags: []
  enabled-by: true
  family: mybsp
  includes: []
  install:
  - destination: ${BSP_INCLUDEDIR}
    source:
    - bsps/myarch/mybsp/include/bsp.h
    - bsps/myarch/mybsp/include/tm27.h
  - destination: ${BSP_INCLUDEDIR}/bsp
    source:
    - bsps/myarch/mybsp/include/bsp/irq.h
  - destination: ${BSP_LIBDIR}
    source:
    - bsps/myarch/mybsp/start/linkcmds
  links:
  - role: build-dependency
    uid: ../../obj
  - role: build-dependency
    uid: ../../opto2
  - role: build-dependency
    uid: abi
  - role: build-dependency
    uid: obj
  - role: build-dependency
    uid: ../start
  - role: build-dependency
    uid: ../../bspopts
  source:
  - bsps/myarch/mybsp/start/bspstart.c
  type: build
spec-info:
  dict:
    attributes:
      arch:
        description: |
          It shall be the target architecture of the BSP.
        spec-type: str
      bsp:
        description: |
          It shall be the base BSP variant name.
        spec-type: str
      cflags:
        description: null
        spec-type: build-cflags
      cppflags:
        description: null
        spec-type: build-cppflags
      family:
        description: |
          It shall be the BSP family name.  The name shall be the last
          directory of the path to the BSP sources.
        spec-type: str
      includes:
        description: null
        spec-type: build-includes
      install:
        description: null
        spec-type: build-install-list
      source:
        description: null
        spec-type: build-source-list
    description: |
      This set of attributes specifies a base BSP variant to build.
    mandatory-attributes: all
spec-name: Build BSP Item Type
spec-type: build-bsp
type: spec
